AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- S3ImageComponentCore
  - S3ImageComponentIonic

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- _options
- _path
- amplifyService
- logger
- selected
- url

### Accessors

- data
- options
- path

### Methods

- getImage
- ngOnInit
- onImageClicked

## Constructors

### constructor

- new S3ImageComponentCore(amplifyService: AmplifyService): S3ImageComponentCore

- - Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.component.core.ts:38

  #### Parameters

  - ##### amplifyService: AmplifyService

  #### Returns S3ImageComponentCore

## Properties

### _options

_options: any

- Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.component.core.ts:34

### _path

_path: string

- Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.component.core.ts:33

### Protected amplifyService

amplifyService: AmplifyService

- Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.component.core.ts:40

### Protected logger

logger: any

- Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.component.core.ts:35

### selected

selected: EventEmitter<string> = new EventEmitter<string>()

- Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.component.core.ts:38

### url

url: any

- Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.component.core.ts:32

## Accessors

### data

data:

- Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.component.core.ts:45

### options

options:

- Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.component.core.ts:57

### path

path:

- Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.component.core.ts:52

## Methods

### getImage

- getImage(path: any, options: any): void

- - Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.component.core.ts:73

  #### Parameters

  - ##### path: any

  - ##### options: any

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.component.core.ts:61

  #### Returns void

### onImageClicked

- onImageClicked(): void

- - Defined in aws-amplify-angular/src/components/storage/s3-image-component/s3-image.component.core.ts:69

  #### Returns void